#4100 closed defect (fixed)

arm/edb7312 Build Failure When SMP is Enabled

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 6.1
Component: arch/arm Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This is from the edb7312 but may apply to others. Build is still underway and this is a common file.

''''gmake[4]: Entering directory `/home/joel/rtems-cron-6/b-edb7312/arm-rtems6/c/edb7312/cpukit'
depbase=`echo score/src/percpu.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
arm-rtems6-gcc --pipe -DHAVE_CONFIG_H   -I. -I/home/joel/rtems-cron-6/b-edb7312/arm-rtems6/c/edb7312/include -I/home/joel/rtems-cron-6/rtems/cpukit/include -I/home/joel/rtems-cron-6/rtems/cpukit/score/cpu/arm/include   -mcpu=arm7tdmi -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT score/src/percpu.o -MD -MP -MF $depbase.Tpo -c -o score/src/percpu.o ../../../../../rtems/c/src/../../cpukit/score/src/percpu.c &&\
mv -f $depbase.Tpo $depbase.Po
{standard input}: Assembler messages:
{standard input}:157: Error: selected processor does not support `sev' in ARM mode
{standard input}:347: Error: selected processor does not support `wfe' in ARM mode
{standard input}:525: Error: selected processor does not support `wfe' in ARM mode
gmake[4]: *** [score/src/percpu.o] Error 1

Change History (5)

comment:1 Changed on 09/29/20 at 21:51:16 by Joel Sherrill

I am not going through every failing ARM BSP but the csb337 family also fails similarly.

comment:2 Changed on 09/30/20 at 05:51:04 by Sebastian Huber

This BSP doesn't support SMP.

comment:3 Changed on 09/30/20 at 12:59:39 by Joel Sherrill

Why are these not configure time failures in waf and not build time failures?

comment:4 Changed on 09/30/20 at 13:05:06 by Sebastian Huber

This was also not a configure time error in the old build system I guess. The information if a BSP supports SMP is not explicitly available in the build specification. This information is currently present in the RTEMS Tools: config/rtems-bsps-arm.ini. This can be changed of course.

comment:5 Changed on 10/01/20 at 20:05:57 by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed by recent commit.

Note: See TracTickets for help on using tickets.